﻿using BPA.Component.DTOCommon.Langs;
using BPA.Component.SDKCommon;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.DependencyInjection;

namespace BPA.SaaS.BizLog.Api.Bootstrap;

/// <summary>
/// 其他SDK服务
/// </summary>
public static class SetupServiceSDK
{
    /// <summary>
    /// 注入其他SDK
    /// </summary>
    /// <param name="services"></param>
    /// <param name="configuration"></param>
    public static void AddServiceSDK(this IServiceCollection services, IConfiguration configuration)
    {
        // 初始化sdk配置和语言获取
        services.AddApiSDK(_ => /*sp.GetService<IHttpContextAccessor>()?.HttpContext?.Request.GetLanguage() ??*/ LangType.Zn);

        // 获取当前API启动时定义的环境
        var environment = configuration.GetValue<string>("ASPNETCORE_ENVIRONMENT");

        // 环境选择
        switch (environment)
        {
            case "Development":
                // 开发本地连集群
                // services.AddApiSDK<WebApi2SDK>(_ => "http://[IP]:[port]");
                // 开发集群环境内
                // services.UseApiSDK<WebApi2SDK>(_ => "http://serviceName");
                break;


            case "Production":
                // services.AddApiSDK<WebApi2SDK>(_ => "http://[domainName].com:[80]/[serviceName]");
                break;


            case "Testing":
                // services.AddApiSDK<WebApi2SDK>(_ => "http://test.[domainName].com:[80]/[serviceName]/");
                break;
        }
    }
}