﻿using BPA.Component.ApolloClient;
using BPA.Component.MongoClient;
using BPA.Component.RabbitMQClient.Connection;
using BPA.Component.RabbitMQClient.Options;
using Com.Ctrip.Framework.Apollo;
using Microsoft.Extensions.Configuration;

namespace BPA.SaaS.BizLog.Api.Model;

/// <summary>
/// BasicWebApiConfig
/// </summary>
// ReSharper disable once ClassNeverInstantiated.Global
public class BizLogApiConfig : ApolloBPAConfig<BizLogApiConfig>
{
    /// <summary>
    /// RedisConfig
    /// </summary>
    [AutoWrite]
    public new List<string> RedisConfig { set; get; }

    /// <summary>
    /// RabbitMQ配置
    /// </summary>
    [AutoWrite]
    public new RabbitMqConnectionConfig RabbitMqConfig { get; set; }

    /// <summary>
    /// MongoClient
    /// </summary>
    [AutoWrite]
    public MongoConfig BizLogMongoConfig { get; set; }

    public BizLogApiConfig(ApolloConfigurationManager apolloConfigurationManager, IConfiguration configuration) : base(
        apolloConfigurationManager, configuration)
    {
    }
}