﻿using BPA.Component.MongoClient.Repository;
using BPA.SaaS.BizLog.Api.Entity;
using BPA.SaaS.BizLog.Api.IRepository;
using BPA.SaaS.BizLog.Api.Model;

namespace BPA.SaaS.BizLog.Api.Repository;

public class BizLogRepository : BaseMongoDbRepository<BizLogMongoDbClient, BPA_BizLog_Base>, IBizLogRepository
{
    public BizLogRepository(BizLogMongoDbClient mongoDbClient) : base(mongoDbClient)
    {
    }

    public bool AddCreateBizLog(BPA_BizLog_Create bpaBizLogCreate) => Add(bpaBizLogCreate) > 0;

    public bool AddUpdateBizLog(BPA_BizLog_Update bpaBizLogUpdate) => Add(bpaBizLogUpdate) > 0;

    public bool AddDeleteBizLog(BPA_BizLog_Delete bpaBizLogDelete) => Add(bpaBizLogDelete) > 0;

    public bool AddQueryBizLog(BPA_BizLog_Query bpaBizLogCreate) => Add(bpaBizLogCreate) > 0;
}